body {
  --rounding: 8px;
  --vertical-padding: 8px;
  --widget-padding: 16px;
  --base-padding: 8px;
}

.rounding {
  border-radius: var(--rounding);
}

.widget {
  width: 100%;
}

.container {
  overflow-y: scroll;
  max-width: 407px;
  /** I haven't figured out why but in chrome simulator I need this to scroll to bottom **/
  padding-bottom: 300px;
}

.container .widget:not(:last-child) {
  margin-bottom: var(--widget-padding);
}

/** Shops **/

.shop-list {
  display: flex;
  overflow-x: scroll;
  padding-bottom: 10px;
}

.shop-card {
  width: 70px;
  height: 106px;
  margin-left: var(--base-padding);
}

.shop-card img {
  border: 0.5px solid #F0F0ED;
  box-sizing: border-box;
  width: 70px;
  height: 70px;
  border-radius: 35px;
}

.shop-card .shop-name {
  margin: 0px;
  font-size: 10px;
  text-overflow: ellipsis;
  overflow: hidden;
  line-clamp: 2;
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
}

/** Items **/

.items {
  display: flex;
  overflow-x: scroll;
  height: 200px;
  padding-bottom: 10px;
}

.item-card {
  flex-shrink: 0;
  overflow: hidden;
  background-color: white;
  width: 126px;
  filter: drop-shadow(0px 2px 6px rgba(0, 0, 0, 0.04)) drop-shadow(0px 1px 2px rgba(0, 0, 0, 0.04)) drop-shadow(0px 1px 2px rgba(0, 0, 0, 0.18));
  border-radius: 8px;
}

.item-card img {
  width: 100%;
  height: 127px;
  object-fit: cover;
}

.item-card .item-texts {
  padding: 10px;
}

.item-card .item-brand {
  font-size: 14px;
  margin: 0px;
  text-overflow: ellipsis;
  white-space: nowrap;
  overflow: hidden;
}

.item-card .item-price {
  font-size: 10px;
  margin: 0px;
}

.item-card {
  margin-right: var(--base-padding);
}

/** Articles **/

.article-card {
  height: 100px;
  display: flex;
  align-items: flex-start;
}

.articles .article-card:not(:last-child) {
  margin-bottom: var(--vertical-padding);
}

.articles .article-texts {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  height: 100%;
  padding: var(--base-padding);
  overflow: hidden;
}

.article-texts .article-title {
  margin: 0px;
  font-size: 14px;
  text-overflow: ellipsis;
  overflow: hidden;
  /** Clamp overflow with line height **/
  line-height: 1.4rem;
  max-height: 2.8rem;
}

.article-texts .article-excerpt {
  margin: 0px;
  font-size: 10px;
  text-overflow: ellipsis;
  overflow: hidden;
  /** Clamp overflow with line-clamp, this makes the ellipsis work **/
  line-clamp: 2;
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
}

.article-card img {
  height: 100%;
  object-fit: contain;
  border-radius: var(--rounding);
}